#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python3-toml
Version		:	0.10.2
Release		:	17.0.10.rel%{?dist}
Summary		:	Python Library for Tom's Obvious, Minimal Language
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT and (ASL 2.0 or BSD)
URL		:	https://files.pythonhosted.org/packages/source/

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3


%if %{with test}
BuildRequires	:	python-attrs
BuildRequires	:	python-py
BuildRequires	:	python3-iniconfig
BuildRequires	:	python3-pluggy
BuildRequires	:	python3-pytest
BuildRequires	:	python3-pytest-runner
BuildRequires	:	python3-pytest-subtests
%endif

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
TOML aims to be a minimal configuration file format that's easy to
read due to obvious semantics. TOML is designed to map unambiguously
to a hash table. TOML should be easy to parse into data structures
in a wide variety of languages. 
This package loads toml file into python dictionary and dump dictionary
into toml file.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.rst
%license LICENSE
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/*.pyi
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
pytest							\
	-v tests					\
	-k 'not test_invalid_tests and not test_valid_tests'
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
